@import '../../styles/application.scss';

.alphabetFilterContainer {
  @include desktop {
    @include flex(row, center, space-between);
    margin: 20px 0;
    height: auto;
    position: initial;
  }
  @include flex(column, center, space-between);
  padding: 10px;
  margin: -16px 16px -16px -16px;
  border-radius: $radius;
  background-color: rgba($pink, 0.4);
  position: sticky;
  top: 0;
  height: 100vh;
  button {
    padding: 0;
    border: none;
    outline: none;
    font: inherit;
    color: inherit;
    background: none;
    &:focus,
    &:active,
    &:visited,
    &:link,
    &:hover {
      text-decoration: none;
      color: inherit;
      outline: none;
    }

    span {
      @include flex(row, center, center);
      width: 26px;
      height: 26px;
      border-radius: 100%;
      color: $primaryRed;
      opacity: 0.3;
      &.selected {
        opacity: 1;
        background-color: rgba($pink, 0.8);
      }
    }
  }
}
